unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NxStdCtrls6;

type
  TForm1 = class(TForm)
    NxCSVDocument61: TNxCSVDocument6;
    Button1: TButton;
    ListBox1: TListBox;
    procedure NxCSVDocument61AddRow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure NxCSVDocument61SetValue(Sender: TObject; X, Y: Integer;
      Value: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  NxTypes6;

{$R *.dfm}

procedure TForm1.NxCSVDocument61AddRow(Sender: TObject);
begin
  ListBox1.Items.Add('New row');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ListBox1.Items.Clear;
  NxCSVDocument61.LoadFromCSV('data.txt', ekAnsi);
end;

procedure TForm1.NxCSVDocument61SetValue(Sender: TObject; X, Y: Integer;
  Value: WideString);
begin
  ListBox1.Items.Add('Value read: ' + Value);
end;

end.
